Dessin Draft

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Drawing and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Page précédente: Draft Clone.svg Clone Draft
Page suivante: Miroir Draft Draft Mirror.svg Arrow-right.svg


Le développement de l'atelier Mise en plan s'est arrêté, et un nouvel atelier Techdraw visant à le remplacer sera introduit dans la version 0.17. Les deux ateliers seront fournis dans la version v0.17, mais l'atelier Mise en plan peut être supprimé dans les versions ultérieures.


Draft Drawing.svg Dessin Draft

Emplacement du menu
Draft → Dessin
Ateliers
Atelier Draft, Atelier Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Atelier TechDraw, Projection 2D d'une forme Draft


Description

L'outil Dessin vous permet de placer les objets sélectionnés sur une feuille de dessin créée avec Atelier Mise en plan. S'il n'y a pas de Modèles de feuille dans le document, un fichier par défaut sera créé.

Cet outil fonctionne de la même manière que l'outil Insérer une vue dans la page Drawing mais il est optimisé pour les objets de l'Atelier Draft. Il peut également restituer des objets 2D avec un remplissage de surface. Il peut gérer des objets spécifiques tels que Cote Draft et Texte Draft que l'outil Insérer une vue dans la page Drawing ne peut pas gérer.

Draft drawing example.jpg

Objet Draft object et dimensions importés dans une page de dessin


Utilisation

  1. Sélectionnez les objets que vous souhaitez placer sur une feuille de dessin.
  2. Dans la même sélection, ajoutez l'objet de page Atelier Dessin dans lequel vous voulez dessiner la projection des objets.
  3. Appuyez sur le bouton Draft Drawing.png Dessin Draft.

Remarques:

  • L'outil fonctionnera mieux avec les objets 2D de Atelier Draft ou Atelier Sketcher.
  • L'objet sélectionné peut également être un Plan de coupe Arch, qui affichera les éléments visualisés par ce plan.
  • S'il n'y a pas de page existante, une nouvelle sera créée.
  • Si aucune page n'a été sélectionnée mais qu'il y en a au moins une dans le document, la première page trouvée sera utilisée pour mettre les projections.
  • Si vous sélectionnez une feuille et les objets déjà projetés sur cette feuille, les projections seront mises à jour.

Options

Il n'y a pas d'options pour cet outil. Cela fonctionne avec les objets sélectionnés ou non.

Propriétés

  • DONNÉESFill Style: uniquement pour les formes fermées, permet de spécifier un style de remplissage "concrete", "square", "simple", "wood", "line", "cross", "woodgrain" ou "shape color".
  • DONNÉESFont Size: spécifie la taille de la police des textes et dimensions.
  • DONNÉESLine Width: spécifie la largeur de ligne des objets visibles en millimètres.

Script

Voir aussi: Draft API et Principes de base des scripts FreeCAD.

L'outil Dessin peut être utilisé dans une macro et à partir de la console Python en utilisant la fonction suivante :

DrawingView = makeDrawingView(obj, page, lwmod=None, tmod=None, otherProjection=None)
  • Crée un DrawingView à partir de obj dans la page spécifiée.
  • Si spécifié, lwmod modifie les poids de ligne en pourcentage et tmod modifie les hauteurs de texte en pourcentage.

Les attributs de la vue doivent généralement être modifiés pour être correctement affichés dans la page de dessin. En particulier, la position est contrôlée par X et Y, en millimètres. Scale est important pour ajuster correctement la forme projetée dans la page. L'échelle va généralement de 1 à 0,25 (de 1:1 à 1:4) pour les petits solides et de 0,02 à 0,01 (de 1:50 à 1:100) pour les éléments architecturaux typiques.

Exemple:

import FreeCAD, Draft, Drawing

obj = Draft.makePolygon(5, 1000)
page = FreeCAD.ActiveDocument.addObject('Drawing::FeaturePage', 'Page')
page.Template = FreeCAD.getResourceDir() + 'Mod/Drawing/Templates/A3_Landscape.svg'

View = Draft.makeDrawingView(obj, page)
View.Scale = 0.02
FreeCAD.ActiveDocument.recompute()

View.X = 200
View.Y = 150
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente: Draft Clone.svg Clone Draft
Page suivante: Miroir Draft Draft Mirror.svg Arrow-right.svg